﻿*************************************************************************************
***Proxyversion für KINDL Adipositas-Modul
***KINDL_Modul_Adipositas_Eltern.

***Anmerkung:
*Höhere Werte spiegeln eine bessere gesundheitsbezogene Lebensqualität wieder.
*Item 1-12 werden zusammengefasst zu einer Skala 
(siehe Ravens-Sieberer et al. (2012). Quality of life after in-patient rehabilitation in children with obesity 
und Wille et al. (2008). The impact of overweight and obesity on health-related quality of life in childhood - results from an intervention study).
*Item 13-15 werden als Zusatzinformationen gehandhabt, aber nicht in einer Skala erfasst.

*********Umpolung der Rohwerte.
*Negative gepolte Items.
RECODE P_ADI_01 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_01. 
RECODE P_ADI_02 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_02. 
RECODE P_ADI_03 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_03. 
RECODE P_ADI_04 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_04. 
RECODE P_ADI_05 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_05. 
RECODE P_ADI_06 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_06. 
RECODE P_ADI_07 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_07. 
RECODE P_ADI_08 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_08. 
RECODE P_ADI_09 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_09. 
RECODE P_ADI_10 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_10. 
RECODE P_ADI_11 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_11. 
RECODE P_ADI_13 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_13. 
RECODE P_ADI_14 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_14. 
RECODE P_ADI_15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_15. 

*Positive gepolte Items.
RECODE P_ADI_12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO P_XDI_12. 

VARIABLE LABELS
P_XDI_01 '... fühlte sich mein Kind dick und unbeweglich.'
P_XDI_02 '... war mein Kind schnell außer Atem und ihm ging schnell die Puste aus.'
P_XDI_03 '... war mein Kind wegen seines Gewichts traurig und niedergeschlagen.'
P_XDI_04 '... war mein Kind von den vielen Versuchen dünner zu werden genervt.'
P_XDI_05 '... hat sich mein Kind wegen seines Gewichts geschämt.'
P_XDI_06 '... war mein Kind  wegen seines Gewichts mit sich selbst unzufrieden.'
P_XDI_07 '... habe ich mein Kind wegen seines Gewichts kritisiert.'
P_XDI_08 '... musste mein Kind zu Hause beim Essen auf sein Gewicht achten.'
P_XDI_09 '... wurde mein Kind wegen seines Gewichts von anderen geärgert.'
P_XDI_10 '... wurde mein Kind wegen seines Gewichts ausgeschlossen, wenn andere etwas zusammen machten.'
P_XDI_11 '... war mein Kind durch Gedanken ans Essen vom Unterricht abgelenkt.'
P_XDI_12 '... konnte mein Kind trotz seines Gewichts beim Sportunterricht gut mitmachen.'
P_XDI_13 'Wie häufig hat Ihr Kind in der letzten Woche Beschwerden wegen seines Überge-wichts (Adipositas) gehabt?'
P_XDI_14 'Wie stark waren seine Beschwerden wegen des Übergewichts in der letzten Woche?'
P_XDI_15 'Wie sehr hat Ihr Kind sein Übergewicht in der letzten Woche gestört?'.
EXECUTE.

VALUE LABELS
P_XDI_01 P_XDI_02 P_XDI_03 P_XDI_04 P_XDI_05 P_XDI_06 P_XDI_07 P_XDI_08 P_XDI_09 P_XDI_10 P_XDI_11 P_XDI_13
1 'immer'
2 'oft'
3 'manchmal'
4 'selten'
5 'nie'.
EXECUTE.

VALUE LABELS
P_XDI_14
1 'sehr stark'
2 'ziemlich'
3 'mittelmäßig'
4 'etwas'
5 'gar keine'.
EXECUTE.

VALUE LABELS
P_XDI_15
1 'sehr'
2 'ziemlich'
3 'mittelmäßig'
4 'etwas'
5 'gar keine'.
EXECUTE.

VALUE LABELS
P_XDI_12
1 'nie'
2 'selten'
3 'manchmal'
4 'oft'
5 'immer'.
EXECUTE.

****Gesamtskala.
*Berechnung Summenscore.
COMPUTE adi_mean = mean.8(P_XDI_01, P_XDI_02, P_XDI_03, P_XDI_04, P_XDI_05, P_XDI_06, P_XDI_07, P_XDI_08, P_XDI_09, P_XDI_10, P_XDI_11, P_XDI_12).
EXECUTE.

COMPUTE adi_sum = adi_mean*12.
EXECUTE.

*Berechnung auf 100 trandsformierte Skala.
COMPUTE adi_100 = ((adi_sum-12)/48)*100.
EXECUTE.

VARIABLE LABELS
adi_mean 'KINDL - Adipositas-Modul Mittelwert'
adi_sum 'KINDL - Adipositas-Modul Summe'
adi_100 'KINDL - Adipositas-Modul 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

